Package io.vertx.openapi.validation

## Enum ValidatorErrorType

- java.lang.Object
- - java.lang.Enum<ValidatorErrorType>
  - - io.vertx.openapi.validation.ValidatorErrorType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ValidatorErrorType>`

      public enum ValidatorErrorType
      extends Enum<ValidatorErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ILLEGAL_VALUE` | The value of the related parameter can't be decoded.
    `INVALID_VALUE` | The value of the related parameter does not fit to the schema.
    `INVALID_VALUE_FORMAT` | The format of the related value does not fit to the expected `Style`
    `MISSING_OPERATION` | The request can't get validated due to missing operation information.
    `MISSING_REQUIRED_PARAMETER` | A required parameter was not part of the request or response
    `MISSING_RESPONSE` | The response can't get validated due to missing response definition for the related status code information.
    `UNSUPPORTED_VALUE_FORMAT` | The format of the related value is not yet supported.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ValidatorErrorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ValidatorErrorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MISSING_REQUIRED_PARAMETER

          public static final ValidatorErrorType MISSING_REQUIRED_PARAMETER

      A required parameter was not part of the request or response

    - #### INVALID_VALUE_FORMAT

          public static final ValidatorErrorType INVALID_VALUE_FORMAT

      The format of the related value does not fit to the expected `Style`

    - #### UNSUPPORTED_VALUE_FORMAT

          public static final ValidatorErrorType UNSUPPORTED_VALUE_FORMAT

      The format of the related value is not yet supported.

    - #### ILLEGAL_VALUE

          public static final ValidatorErrorType ILLEGAL_VALUE

      The value of the related parameter can't be decoded.

    - #### INVALID_VALUE

          public static final ValidatorErrorType INVALID_VALUE

      The value of the related parameter does not fit to the schema.

    - #### MISSING_OPERATION

          public static final ValidatorErrorType MISSING_OPERATION

      The request can't get validated due to missing operation information.

    - #### MISSING_RESPONSE

          public static final ValidatorErrorType MISSING_RESPONSE

      The response can't get validated due to missing response definition for the related status code information.

  - ### Method Detail

    - #### values

          public static ValidatorErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidatorErrorType c : ValidatorErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidatorErrorType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null